%bcond_without  tests

%global         srcname     azure-mgmt-maps

Name:           python-%{srcname}
Version:        2.0.0
Release:        3%{?dist}
Summary:        Microsoft Azure Maps Client Library for Python
License:        MIT
URL:            https://pypi.org/project/%{srcname}/
Source0:        %{pypi_source %{srcname} %{version} zip}

BuildArch:      noarch

Epoch:          1

Obsoletes:      python-azure-sdk < 5.0.1

BuildRequires:  python3-devel
BuildRequires:  pyproject-rpm-macros

%if %{with tests}
BuildRequires:  python3dist(azure-devtools)
BuildRequires:  python3dist(azure-mgmt-keyvault)
BuildRequires:  python3dist(azure-mgmt-resource)
BuildRequires:  python3dist(azure-sdk-tools)
BuildRequires:  python3dist(pytest)
BuildRequires:  python3dist(pytest-aiohttp)
%endif

%global _description %{expand:
Microsoft Azure Maps Client Library for Python}

%description %{_description}


%package -n python3-%{srcname}
Summary:        %{summary}

%description -n python3-%{srcname} %{_description}


%prep
%autosetup -p0 -n %{srcname}-%{version}


%generate_buildrequires
%pyproject_buildrequires -r


%build
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files azure


%if %{with tests}
%check
%pytest
%endif


# LICENSE file missing. Added PR to fix:
# https://github.com/Azure/azure-sdk-for-python/pull/20171
%files -n python3-%{srcname} -f %{pyproject_files}
%doc README.md CHANGELOG.md


%changelog
* Mon Aug 09 2021 Major Hayden <major@mhtx.net> - 1:2.0.0-3
- Update to 2.0.0

* Mon Jul 26 2021 Major Hayden <major@mhtx.net> - 1:0.1.0-3
- Remove conflicting namespace package files

* Fri Jul 23 2021 Major Hayden <major@mhtx.net> - 1:0.1.0-2
- Remove custom wheel builder.

* Fri Jul 23 2021 Major Hayden <major@mhtx.net> - 1:0.1.0-1
- Add epoch number for 0.1.0 downgrade

* Fri Jul 23 2021 Fedora Release Engineering <releng@fedoraproject.org> - 2.0.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Tue Jun 01 2021 Major Hayden <major@mhtx.net> - 2.0.0-1
- First package.
